This is the legacy eSignature Workspaces feature. To use the newest Workspaces product, please check our Workspaces API.
The WorkspaceItems resource provides methods that enable you to manage workspace items.
Methods supported
| Method | Description |
|---|---|
| createFIle | POST /restapi/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/filesCreates a workspace file. |
| deleteFolderItems | DEL /restapi/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}Deletes files or sub-folders from a workspace. |
| getFile | GET /restapi/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}Gets a workspace file |
| listFilePages | GET /restapi/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}/pagesList File Pages |
| listFolderItems | GET /restapi/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}List workspace folder contents |
| updateFile | PUT /restapi/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}Update workspace file or folder metadata |
WorkspaceItems properties
| Property | Type | Description |
|---|---|---|
callerAuthorization | workspaceUserAuthorization | An object that describes the caller’s workspace permissions. |
contentType | string | If the item is a file, this property specifies the content type of the file. |
created | string | The UTC DateTime when the workspace item was created. |
createdById | string | The ID of the user who created the workspace item. |
createdByInformation | workspaceUser | Details about the user who created the workspace item. |
extension | string | The file extension of a file item. |
fileSize | string | The size of the file in bytes. |
fileUri | string | The URI for retrieving the file. |
id | string | The ID of the workspace item. |
isPublic | string | When true, the item is public. |
lastModified | string | The UTC DateTime that the item was last modified. |
lastModifiedById | string | The ID of the user who last modified the item. |
lastModifiedByInformation | workspaceUser | Details about the user who last modified the workspace item. |
name | string | The name of the file or folder. |
pageCount | string | The number of pages in a file. |
parentFolderId | string | The ID of the parent folder, or the special value root for the root folder. |
parentFolderUri | string | The URI of the parent folder. |
sha256 | string | A 64-byte, Secure Hash Algorithm 256 (SHA256) checksum that the caller computes across the entirety of the original content of a file. Docusign compares this value to its own computation. If the two values are not equal, the original content and received content are not the same and the upload is refused. |
thumbHeight | string | The height of the thumbnail image. |
thumbnail | page | |
thumbWidth | string | The width of the thumbnail image. |
type | string | The type of workspace item. Valid values are:
|
uri | string | A URI containing the user ID. |
userAuthorization | workspaceUserAuthorization | An object that describes the user’s workspace permissions. |